/*===========================================================================*/
/*   (Match/s2cfun.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Match/s2cfun.scm -indent -o objs/obj_u/Match/s2cfun.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__concatz00zz__match_s2cfunz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_cnstzd2initzd2zz__match_s2cfunz00();
static obj_t BGl__atomzf3zf3zz__match_s2cfunz00(obj_t, obj_t);
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL obj_t BGl_andmapz00zz__match_s2cfunz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_jimzd2gensymzd2zz__match_s2cfunz00 = BUNSPEC;
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__match_s2cfunz00();
static obj_t BGl__ormapz00zz__match_s2cfunz00(obj_t, obj_t, obj_t);
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_atomzf3zf3zz__match_s2cfunz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__match_s2cfunz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_concatz00zz__match_s2cfunz00(obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl__andmapz00zz__match_s2cfunz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ormapz00zz__match_s2cfunz00(obj_t, obj_t);
static obj_t BGl_symbol1963z00zz__match_s2cfunz00 = BUNSPEC;
static obj_t BGl_symbol1962z00zz__match_s2cfunz00 = BUNSPEC;
static obj_t BGl_symbol1961z00zz__match_s2cfunz00 = BUNSPEC;
extern obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31040ze3z83zz__match_s2cfunz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__match_s2cfunz00();
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_concatzd2envzd2zz__match_s2cfunz00, BgL_bgl__concatza700za7za7__match_s2cfunza7001971z00, va_generic_entry, BGl__concatz00zz__match_s2cfunz00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_ormapzd2envzd2zz__match_s2cfunz00, BgL_bgl__ormapza700za7za7__match_s2cfunza7001972z00, va_generic_entry, BGl__ormapz00zz__match_s2cfunz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_andmapzd2envzd2zz__match_s2cfunz00, BgL_bgl__andmapza700za7za7__match_s2cfunza7001973z00, va_generic_entry, BGl__andmapz00zz__match_s2cfunz00, -2 );
DEFINE_STRING( BGl_string1964z00zz__match_s2cfunz00, BgL_bgl_string1964za700za7za7__match_s2cfunza7001974z00, "", 0 );
DEFINE_EXPORT_PROCEDURE( BGl_atomzf3zd2envz21zz__match_s2cfunz00, BgL_bgl__atomza7f3za7f3za7za7__match_s2cfunza7001975za7, BGl__atomzf3zf3zz__match_s2cfunz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long BgL_checksumz00_997, char * BgL_fromz00_998)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__match_s2cfunz00))
{ 
BGl_requirezd2initializa7ationz75zz__match_s2cfunz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__match_s2cfunz00(); 
BGl_importedzd2moduleszd2initz00zz__match_s2cfunz00(); 
BGl_toplevelzd2initzd2zz__match_s2cfunz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__match_s2cfunz00()
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 11 */
BGl_symbol1961z00zz__match_s2cfunz00 = 
string_to_symbol("G"); 
BGl_symbol1962z00zz__match_s2cfunz00 = 
string_to_symbol("non-user"); 
return ( 
BGl_symbol1963z00zz__match_s2cfunz00 = 
string_to_symbol("concat"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__match_s2cfunz00()
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 11 */
{ /* ./Match/s2cfun.scm 58 */
obj_t BgL_counterz00_359;
{ /* ./Match/s2cfun.scm 58 */
obj_t BgL_cellvalz00_1008;
BgL_cellvalz00_1008 = 
BINT(((long)100)); 
BgL_counterz00_359 = 
MAKE_CELL(BgL_cellvalz00_1008); } 
{ /* ./Match/s2cfun.scm 59 */
obj_t BgL_zc3anonymousza31040ze3z83_982;
{ 
int BgL_auxz00_1012;int BgL_auxz00_1010;
BgL_auxz00_1012 = 
(int)(((long)1)); 
BgL_auxz00_1010 = 
(int)(((long)-1)); 
BgL_zc3anonymousza31040ze3z83_982 = 
make_va_procedure(BGl_zc3anonymousza31040ze3z83zz__match_s2cfunz00, BgL_auxz00_1010, BgL_auxz00_1012); } 
{ /* ./Match/s2cfun.scm 59 */
int BgL_auxz00_1015;
BgL_auxz00_1015 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31040ze3z83_982, BgL_auxz00_1015, BgL_counterz00_359); } 
return ( 
BGl_jimzd2gensymzd2zz__match_s2cfunz00 = BgL_zc3anonymousza31040ze3z83_982, BUNSPEC) ;} } } 
}



/* <anonymous:1040> */
obj_t BGl_zc3anonymousza31040ze3z83zz__match_s2cfunz00(obj_t BgL_envz00_983, obj_t BgL_argsz00_985)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 59 */
{ /* ./Match/s2cfun.scm 60 */
obj_t BgL_counterz00_984;
{ /* ./Match/s2cfun.scm 60 */
int BgL_auxz00_1018;
BgL_auxz00_1018 = 
(int)(((long)0)); 
BgL_counterz00_984 = 
PROCEDURE_REF(BgL_envz00_983, BgL_auxz00_1018); } 
{ 
obj_t BgL_argsz00_360;
BgL_argsz00_360 = BgL_argsz00_985; 
{ /* ./Match/s2cfun.scm 60 */
obj_t BgL_auxz00_986;
BgL_auxz00_986 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
CELL_REF(BgL_counterz00_984), 
BINT(((long)1))); 
CELL_SET(BgL_counterz00_984, BgL_auxz00_986); } 
{ /* ./Match/s2cfun.scm 61 */
obj_t BgL_symbolz00_362;
{ /* ./Match/s2cfun.scm 61 */
obj_t BgL_arg1044z00_363;
if(
PAIRP(BgL_argsz00_360))
{ /* ./Match/s2cfun.scm 61 */
BgL_arg1044z00_363 = 
CAR(BgL_argsz00_360); }  else 
{ /* ./Match/s2cfun.scm 61 */
BgL_arg1044z00_363 = BGl_symbol1961z00zz__match_s2cfunz00; } 
{ /* ./Match/s2cfun.scm 61 */
obj_t BgL_list1046z00_364;
{ /* ./Match/s2cfun.scm 61 */
obj_t BgL_arg1048z00_365;
{ /* ./Match/s2cfun.scm 61 */
obj_t BgL_auxz00_1026;
BgL_auxz00_1026 = 
CELL_REF(BgL_counterz00_984); 
BgL_arg1048z00_365 = 
MAKE_PAIR(BgL_auxz00_1026, BNIL); } 
BgL_list1046z00_364 = 
MAKE_PAIR(BgL_arg1044z00_363, BgL_arg1048z00_365); } 
BgL_symbolz00_362 = 
BGl_concatz00zz__match_s2cfunz00(BgL_list1046z00_364); } } 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_362, BGl_symbol1962z00zz__match_s2cfunz00, BTRUE); 
return BgL_symbolz00_362;} } } } 
}



/* atom? */
BGL_EXPORTED_DEF obj_t BGl_atomzf3zf3zz__match_s2cfunz00(obj_t BgL_ez00_1)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 44 */
if(
PAIRP(BgL_ez00_1))
{ /* ./Match/s2cfun.scm 45 */
return BFALSE;}  else 
{ /* ./Match/s2cfun.scm 45 */
return BTRUE;} } 
}



/* _atom? */
obj_t BGl__atomzf3zf3zz__match_s2cfunz00(obj_t BgL_envz00_987, obj_t BgL_ez00_988)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 44 */
return 
BGl_atomzf3zf3zz__match_s2cfunz00(BgL_ez00_988);} 
}



/* concat */
BGL_EXPORTED_DEF obj_t BGl_concatz00zz__match_s2cfunz00(obj_t BgL_argsz00_2)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 47 */
{ /* ./Match/s2cfun.scm 49 */
obj_t BgL_arg1058z00_368;
{ /* ./Match/s2cfun.scm 49 */
obj_t BgL_runner1091z00_385;
if(
NULLP(BgL_argsz00_2))
{ /* ./Match/s2cfun.scm 50 */
BgL_runner1091z00_385 = BNIL; }  else 
{ /* ./Match/s2cfun.scm 50 */
obj_t BgL_head1005z00_371;
BgL_head1005z00_371 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1003z00_372;obj_t BgL_tail1006z00_373;
BgL_l1003z00_372 = BgL_argsz00_2; 
BgL_tail1006z00_373 = BgL_head1005z00_371; 
BgL_map1004z00_374:
if(
NULLP(BgL_l1003z00_372))
{ /* ./Match/s2cfun.scm 50 */
BgL_runner1091z00_385 = 
CDR(BgL_head1005z00_371); }  else 
{ /* ./Match/s2cfun.scm 51 */
obj_t BgL_newtail1007z00_376;
{ /* ./Match/s2cfun.scm 51 */
obj_t BgL_arg1073z00_378;
{ /* ./Match/s2cfun.scm 51 */
obj_t BgL_sz00_380;
BgL_sz00_380 = 
CAR(BgL_l1003z00_372); 
if(
STRINGP(BgL_sz00_380))
{ /* ./Match/s2cfun.scm 51 */
BgL_arg1073z00_378 = BgL_sz00_380; }  else 
{ /* ./Match/s2cfun.scm 51 */
if(
SYMBOLP(BgL_sz00_380))
{ /* ./Match/s2cfun.scm 52 */
BgL_arg1073z00_378 = 
SYMBOL_TO_STRING(BgL_sz00_380); }  else 
{ /* ./Match/s2cfun.scm 53 */
bool_t BgL_test1080z00_383;
if(
INTEGERP(BgL_sz00_380))
{ /* ./Match/s2cfun.scm 53 */
BgL_test1080z00_383 = ((bool_t)1); }  else 
{ /* ./Match/s2cfun.scm 53 */
BgL_test1080z00_383 = 
REALP(BgL_sz00_380); } 
if(BgL_test1080z00_383)
{ /* ./Match/s2cfun.scm 53 */
{ /* ./Match/s2cfun.scm 53 */
char * BgL_auxz00_1050;
BgL_auxz00_1050 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_sz00_380, BNIL); 
BgL_arg1073z00_378 = 
string_to_bstring(BgL_auxz00_1050); } }  else 
{ /* ./Match/s2cfun.scm 53 */
{ /* ./Match/s2cfun.scm 54 */
obj_t BgL_procz00_663;
BgL_procz00_663 = BGl_symbol1963z00zz__match_s2cfunz00; 
FAILURE(BgL_procz00_663,BGl_string1964z00zz__match_s2cfunz00,BgL_argsz00_2);} } } } } 
BgL_newtail1007z00_376 = 
MAKE_PAIR(BgL_arg1073z00_378, BNIL); } 
SET_CDR(BgL_tail1006z00_373, BgL_newtail1007z00_376); 
{ 
obj_t BgL_tail1006z00_1058;obj_t BgL_l1003z00_1056;
BgL_l1003z00_1056 = 
CDR(BgL_l1003z00_372); 
BgL_tail1006z00_1058 = BgL_newtail1007z00_376; 
BgL_tail1006z00_373 = BgL_tail1006z00_1058; 
BgL_l1003z00_372 = BgL_l1003z00_1056; 
goto BgL_map1004z00_374;} } } } 
BgL_arg1058z00_368 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_runner1091z00_385); } 
{ /* ./Match/s2cfun.scm 48 */
char * BgL_auxz00_1060;
BgL_auxz00_1060 = 
BSTRING_TO_STRING(BgL_arg1058z00_368); 
return 
string_to_symbol(BgL_auxz00_1060);} } } 
}



/* _concat */
obj_t BGl__concatz00zz__match_s2cfunz00(obj_t BgL_envz00_989, obj_t BgL_argsz00_990)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 47 */
return 
BGl_concatz00zz__match_s2cfunz00(BgL_argsz00_990);} 
}



/* andmap */
BGL_EXPORTED_DEF obj_t BGl_andmapz00zz__match_s2cfunz00(obj_t BgL_pz00_3, obj_t BgL_argsz00_4)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 66 */
{ 
obj_t BgL_argsz00_386;obj_t BgL_valuez00_387;
BgL_argsz00_386 = BgL_argsz00_4; 
BgL_valuez00_387 = BTRUE; 
BgL_andmapz00_388:
{ /* ./Match/s2cfun.scm 69 */
bool_t BgL_test1093z00_389;
{ 
obj_t BgL_lsz00_425;
BgL_lsz00_425 = BgL_argsz00_386; 
BgL_anyzd2atzd2endzf3zf3_426:
if(
PAIRP(BgL_lsz00_425))
{ /* ./Match/s2cfun.scm 71 */
bool_t BgL__ortest_1009z00_428;
{ /* ./Match/s2cfun.scm 71 */
bool_t BgL_testz00_1066;
{ /* ./Match/s2cfun.scm 71 */
obj_t BgL_auxz00_1067;
BgL_auxz00_1067 = 
CAR(BgL_lsz00_425); 
BgL_testz00_1066 = 
PAIRP(BgL_auxz00_1067); } 
if(BgL_testz00_1066)
{ /* ./Match/s2cfun.scm 71 */
BgL__ortest_1009z00_428 = ((bool_t)0); }  else 
{ /* ./Match/s2cfun.scm 71 */
BgL__ortest_1009z00_428 = ((bool_t)1); } } 
if(BgL__ortest_1009z00_428)
{ /* ./Match/s2cfun.scm 71 */
BgL_test1093z00_389 = BgL__ortest_1009z00_428; }  else 
{ 
obj_t BgL_lsz00_1071;
BgL_lsz00_1071 = 
CDR(BgL_lsz00_425); 
BgL_lsz00_425 = BgL_lsz00_1071; 
goto BgL_anyzd2atzd2endzf3zf3_426;} }  else 
{ /* ./Match/s2cfun.scm 70 */
BgL_test1093z00_389 = ((bool_t)0); } } 
if(BgL_test1093z00_389)
{ /* ./Match/s2cfun.scm 69 */
return BgL_valuez00_387;}  else 
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_valuez00_390;
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_auxz00_1074;
if(
NULLP(BgL_argsz00_386))
{ /* ./Match/s2cfun.scm 74 */
BgL_auxz00_1074 = BNIL
; }  else 
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_head1012z00_411;
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_auxz00_1077;
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_auxz00_1078;
BgL_auxz00_1078 = 
CAR(BgL_argsz00_386); 
BgL_auxz00_1077 = 
CAR(BgL_auxz00_1078); } 
BgL_head1012z00_411 = 
MAKE_PAIR(BgL_auxz00_1077, BNIL); } 
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_arg1128z00_415;
BgL_arg1128z00_415 = 
CDR(BgL_argsz00_386); 
{ 
obj_t BgL_l1010z00_683;obj_t BgL_tail1013z00_684;
BgL_l1010z00_683 = BgL_arg1128z00_415; 
BgL_tail1013z00_684 = BgL_head1012z00_411; 
BgL_map1011z00_682:
if(
NULLP(BgL_l1010z00_683))
{ /* ./Match/s2cfun.scm 74 */
BgL_auxz00_1074 = BgL_head1012z00_411
; }  else 
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_newtail1014z00_692;
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_auxz00_1085;
{ /* ./Match/s2cfun.scm 74 */
obj_t BgL_auxz00_1086;
BgL_auxz00_1086 = 
CAR(BgL_l1010z00_683); 
BgL_auxz00_1085 = 
CAR(BgL_auxz00_1086); } 
BgL_newtail1014z00_692 = 
MAKE_PAIR(BgL_auxz00_1085, BNIL); } 
SET_CDR(BgL_tail1013z00_684, BgL_newtail1014z00_692); 
{ 
obj_t BgL_tail1013z00_1093;obj_t BgL_l1010z00_1091;
BgL_l1010z00_1091 = 
CDR(BgL_l1010z00_683); 
BgL_tail1013z00_1093 = BgL_newtail1014z00_692; 
BgL_tail1013z00_684 = BgL_tail1013z00_1093; 
BgL_l1010z00_683 = BgL_l1010z00_1091; 
goto BgL_map1011z00_682;} } } } } 
BgL_valuez00_390 = 
apply(BgL_pz00_3, BgL_auxz00_1074); } 
if(
CBOOL(BgL_valuez00_390))
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_arg1095z00_392;
if(
NULLP(BgL_argsz00_386))
{ /* ./Match/s2cfun.scm 75 */
BgL_arg1095z00_392 = BNIL; }  else 
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_head1018z00_395;
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_auxz00_1099;
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_auxz00_1100;
BgL_auxz00_1100 = 
CAR(BgL_argsz00_386); 
BgL_auxz00_1099 = 
CDR(BgL_auxz00_1100); } 
BgL_head1018z00_395 = 
MAKE_PAIR(BgL_auxz00_1099, BNIL); } 
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_arg1099z00_399;
BgL_arg1099z00_399 = 
CDR(BgL_argsz00_386); 
{ 
obj_t BgL_l1016z00_742;obj_t BgL_tail1019z00_743;
BgL_l1016z00_742 = BgL_arg1099z00_399; 
BgL_tail1019z00_743 = BgL_head1018z00_395; 
BgL_map1017z00_741:
if(
NULLP(BgL_l1016z00_742))
{ /* ./Match/s2cfun.scm 75 */
BgL_arg1095z00_392 = BgL_head1018z00_395; }  else 
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_newtail1020z00_751;
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_auxz00_1107;
{ /* ./Match/s2cfun.scm 75 */
obj_t BgL_auxz00_1108;
BgL_auxz00_1108 = 
CAR(BgL_l1016z00_742); 
BgL_auxz00_1107 = 
CDR(BgL_auxz00_1108); } 
BgL_newtail1020z00_751 = 
MAKE_PAIR(BgL_auxz00_1107, BNIL); } 
SET_CDR(BgL_tail1019z00_743, BgL_newtail1020z00_751); 
{ 
obj_t BgL_tail1019z00_1115;obj_t BgL_l1016z00_1113;
BgL_l1016z00_1113 = 
CDR(BgL_l1016z00_742); 
BgL_tail1019z00_1115 = BgL_newtail1020z00_751; 
BgL_tail1019z00_743 = BgL_tail1019z00_1115; 
BgL_l1016z00_742 = BgL_l1016z00_1113; 
goto BgL_map1017z00_741;} } } } } 
{ 
obj_t BgL_valuez00_1117;obj_t BgL_argsz00_1116;
BgL_argsz00_1116 = BgL_arg1095z00_392; 
BgL_valuez00_1117 = BgL_valuez00_390; 
BgL_valuez00_387 = BgL_valuez00_1117; 
BgL_argsz00_386 = BgL_argsz00_1116; 
goto BgL_andmapz00_388;} }  else 
{ /* ./Match/s2cfun.scm 75 */
return BFALSE;} } } } } 
}



/* _andmap */
obj_t BGl__andmapz00zz__match_s2cfunz00(obj_t BgL_envz00_991, obj_t BgL_pz00_992, obj_t BgL_argsz00_993)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 66 */
return 
BGl_andmapz00zz__match_s2cfunz00(BgL_pz00_992, BgL_argsz00_993);} 
}



/* ormap */
BGL_EXPORTED_DEF obj_t BGl_ormapz00zz__match_s2cfunz00(obj_t BgL_pz00_5, obj_t BgL_argsz00_6)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 78 */
{ /* ./Match/s2cfun.scm 80 */
bool_t BgL_testz00_1119;
{ /* ./Match/s2cfun.scm 80 */
obj_t BgL_auxz00_1120;
{ /* ./Match/s2cfun.scm 80 */
long BgL_auxz00_1121;
BgL_auxz00_1121 = 
bgl_list_length(BgL_argsz00_6); 
BgL_auxz00_1120 = 
BINT(BgL_auxz00_1121); } 
BgL_testz00_1119 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_auxz00_1120, 
BINT(((long)1))); } 
if(BgL_testz00_1119)
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_arg1171z00_433;
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_l1021z00_434;
BgL_l1021z00_434 = 
CAR(BgL_argsz00_6); 
if(
NULLP(BgL_l1021z00_434))
{ /* ./Match/s2cfun.scm 81 */
BgL_arg1171z00_433 = BNIL; }  else 
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_head1023z00_436;
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_arg1196z00_447;
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_arg1200z00_449;
BgL_arg1200z00_449 = 
CAR(BgL_l1021z00_434); 
BgL_arg1196z00_447 = 
PROCEDURE_ENTRY(BgL_pz00_5)(BgL_pz00_5, BgL_arg1200z00_449, BEOA); } 
BgL_head1023z00_436 = 
MAKE_PAIR(BgL_arg1196z00_447, BNIL); } 
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_arg1175z00_440;
BgL_arg1175z00_440 = 
CDR(BgL_l1021z00_434); 
{ 
obj_t BgL_l1021z00_801;obj_t BgL_tail1024z00_802;
BgL_l1021z00_801 = BgL_arg1175z00_440; 
BgL_tail1024z00_802 = BgL_head1023z00_436; 
BgL_map1022z00_800:
if(
NULLP(BgL_l1021z00_801))
{ /* ./Match/s2cfun.scm 81 */
BgL_arg1171z00_433 = BgL_head1023z00_436; }  else 
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_newtail1025z00_810;
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_arg1187z00_811;
{ /* ./Match/s2cfun.scm 81 */
obj_t BgL_arg1191z00_813;
BgL_arg1191z00_813 = 
CAR(BgL_l1021z00_801); 
BgL_arg1187z00_811 = 
PROCEDURE_ENTRY(BgL_pz00_5)(BgL_pz00_5, BgL_arg1191z00_813, BEOA); } 
BgL_newtail1025z00_810 = 
MAKE_PAIR(BgL_arg1187z00_811, BNIL); } 
SET_CDR(BgL_tail1024z00_802, BgL_newtail1025z00_810); 
{ 
obj_t BgL_tail1024z00_1143;obj_t BgL_l1021z00_1141;
BgL_l1021z00_1141 = 
CDR(BgL_l1021z00_801); 
BgL_tail1024z00_1143 = BgL_newtail1025z00_810; 
BgL_tail1024z00_802 = BgL_tail1024z00_1143; 
BgL_l1021z00_801 = BgL_l1021z00_1141; 
goto BgL_map1022z00_800;} } } } } } 
return 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BTRUE, BgL_arg1171z00_433);}  else 
{ 
obj_t BgL_argsz00_450;obj_t BgL_valuez00_451;
BgL_argsz00_450 = BgL_argsz00_6; 
BgL_valuez00_451 = BFALSE; 
BgL_ormapz00_452:
{ /* ./Match/s2cfun.scm 83 */
bool_t BgL_test1206z00_453;
{ 
obj_t BgL_lsz00_489;
BgL_lsz00_489 = BgL_argsz00_450; 
BgL_anyzd2atzd2endzf3zf3_490:
if(
PAIRP(BgL_lsz00_489))
{ /* ./Match/s2cfun.scm 85 */
bool_t BgL__ortest_1027z00_492;
{ /* ./Match/s2cfun.scm 85 */
bool_t BgL_testz00_1147;
{ /* ./Match/s2cfun.scm 85 */
obj_t BgL_auxz00_1148;
BgL_auxz00_1148 = 
CAR(BgL_lsz00_489); 
BgL_testz00_1147 = 
PAIRP(BgL_auxz00_1148); } 
if(BgL_testz00_1147)
{ /* ./Match/s2cfun.scm 85 */
BgL__ortest_1027z00_492 = ((bool_t)0); }  else 
{ /* ./Match/s2cfun.scm 85 */
BgL__ortest_1027z00_492 = ((bool_t)1); } } 
if(BgL__ortest_1027z00_492)
{ /* ./Match/s2cfun.scm 85 */
BgL_test1206z00_453 = BgL__ortest_1027z00_492; }  else 
{ 
obj_t BgL_lsz00_1152;
BgL_lsz00_1152 = 
CDR(BgL_lsz00_489); 
BgL_lsz00_489 = BgL_lsz00_1152; 
goto BgL_anyzd2atzd2endzf3zf3_490;} }  else 
{ /* ./Match/s2cfun.scm 84 */
BgL_test1206z00_453 = ((bool_t)0); } } 
if(BgL_test1206z00_453)
{ /* ./Match/s2cfun.scm 83 */
return BgL_valuez00_451;}  else 
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_valuez00_454;
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_auxz00_1155;
if(
NULLP(BgL_argsz00_450))
{ /* ./Match/s2cfun.scm 88 */
BgL_auxz00_1155 = BNIL
; }  else 
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_head1030z00_475;
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_auxz00_1158;
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_auxz00_1159;
BgL_auxz00_1159 = 
CAR(BgL_argsz00_450); 
BgL_auxz00_1158 = 
CAR(BgL_auxz00_1159); } 
BgL_head1030z00_475 = 
MAKE_PAIR(BgL_auxz00_1158, BNIL); } 
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_arg1243z00_479;
BgL_arg1243z00_479 = 
CDR(BgL_argsz00_450); 
{ 
obj_t BgL_l1028z00_861;obj_t BgL_tail1031z00_862;
BgL_l1028z00_861 = BgL_arg1243z00_479; 
BgL_tail1031z00_862 = BgL_head1030z00_475; 
BgL_map1029z00_860:
if(
NULLP(BgL_l1028z00_861))
{ /* ./Match/s2cfun.scm 88 */
BgL_auxz00_1155 = BgL_head1030z00_475
; }  else 
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_newtail1032z00_870;
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_auxz00_1166;
{ /* ./Match/s2cfun.scm 88 */
obj_t BgL_auxz00_1167;
BgL_auxz00_1167 = 
CAR(BgL_l1028z00_861); 
BgL_auxz00_1166 = 
CAR(BgL_auxz00_1167); } 
BgL_newtail1032z00_870 = 
MAKE_PAIR(BgL_auxz00_1166, BNIL); } 
SET_CDR(BgL_tail1031z00_862, BgL_newtail1032z00_870); 
{ 
obj_t BgL_tail1031z00_1174;obj_t BgL_l1028z00_1172;
BgL_l1028z00_1172 = 
CDR(BgL_l1028z00_861); 
BgL_tail1031z00_1174 = BgL_newtail1032z00_870; 
BgL_tail1031z00_862 = BgL_tail1031z00_1174; 
BgL_l1028z00_861 = BgL_l1028z00_1172; 
goto BgL_map1029z00_860;} } } } } 
BgL_valuez00_454 = 
apply(BgL_pz00_5, BgL_auxz00_1155); } 
if(
CBOOL(BgL_valuez00_454))
{ /* ./Match/s2cfun.scm 89 */
return BgL_valuez00_454;}  else 
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_arg1208z00_456;
if(
NULLP(BgL_argsz00_450))
{ /* ./Match/s2cfun.scm 89 */
BgL_arg1208z00_456 = BNIL; }  else 
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_head1036z00_459;
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_auxz00_1180;
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_auxz00_1181;
BgL_auxz00_1181 = 
CAR(BgL_argsz00_450); 
BgL_auxz00_1180 = 
CDR(BgL_auxz00_1181); } 
BgL_head1036z00_459 = 
MAKE_PAIR(BgL_auxz00_1180, BNIL); } 
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_arg1212z00_463;
BgL_arg1212z00_463 = 
CDR(BgL_argsz00_450); 
{ 
obj_t BgL_l1034z00_920;obj_t BgL_tail1037z00_921;
BgL_l1034z00_920 = BgL_arg1212z00_463; 
BgL_tail1037z00_921 = BgL_head1036z00_459; 
BgL_map1035z00_919:
if(
NULLP(BgL_l1034z00_920))
{ /* ./Match/s2cfun.scm 89 */
BgL_arg1208z00_456 = BgL_head1036z00_459; }  else 
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_newtail1038z00_929;
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_auxz00_1188;
{ /* ./Match/s2cfun.scm 89 */
obj_t BgL_auxz00_1189;
BgL_auxz00_1189 = 
CAR(BgL_l1034z00_920); 
BgL_auxz00_1188 = 
CDR(BgL_auxz00_1189); } 
BgL_newtail1038z00_929 = 
MAKE_PAIR(BgL_auxz00_1188, BNIL); } 
SET_CDR(BgL_tail1037z00_921, BgL_newtail1038z00_929); 
{ 
obj_t BgL_tail1037z00_1196;obj_t BgL_l1034z00_1194;
BgL_l1034z00_1194 = 
CDR(BgL_l1034z00_920); 
BgL_tail1037z00_1196 = BgL_newtail1038z00_929; 
BgL_tail1037z00_921 = BgL_tail1037z00_1196; 
BgL_l1034z00_920 = BgL_l1034z00_1194; 
goto BgL_map1035z00_919;} } } } } 
{ 
obj_t BgL_valuez00_1198;obj_t BgL_argsz00_1197;
BgL_argsz00_1197 = BgL_arg1208z00_456; 
BgL_valuez00_1198 = BgL_valuez00_454; 
BgL_valuez00_451 = BgL_valuez00_1198; 
BgL_argsz00_450 = BgL_argsz00_1197; 
goto BgL_ormapz00_452;} } } } } } } 
}



/* _ormap */
obj_t BGl__ormapz00zz__match_s2cfunz00(obj_t BgL_envz00_994, obj_t BgL_pz00_995, obj_t BgL_argsz00_996)
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 78 */
return 
BGl_ormapz00zz__match_s2cfunz00(BgL_pz00_995, BgL_argsz00_996);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__match_s2cfunz00()
{ AN_OBJECT;
{ /* ./Match/s2cfun.scm 11 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__match_s2cfun");} 
}

